%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-isodate
Version:    0.1.4
Release:    3%{?dist}
Summary:    JavaScript ISO 8601 date/time parser for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/pvorb/node-isodate
Source0:    http://registry.npmjs.org/isodate/-/isodate-%{version}.tgz
# One test file is not included in the npm tarball.
Source1:    https://raw.github.com/pvorb/node-isodate/4864e664cabba43003424453a82d50fd8f133737/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package
cp -a %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/isodate
cp -pr package.json isodate.js \
    %{buildroot}%{nodejs_sitelib}/isodate

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/isodate


%changelog
* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.4-3
- restrict to compatible arches

* Sun Jun 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.4-2
- include test.js

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.4-1
- initial package
